<style>#dataform .pendentes label {height: 20px;}</style>

<?php 
	if(is_admin()){
		$f->campoSeleccao("Estado", "estado",$this->estados, $linha['estado']);
	}
	else
		$f->campoValor("estado", $linha['estado']);
	
		
	?> 
	<div id="mais_versoes" style="display:none">
	<?php 		
		
	if($id){	
		$sql="select * from ".$this->tipo." where idAntigo='$id' and estado = 0";
	    $listaPendentes = $db->get($sql);
	    $max = sizeof($listaPendentes);
		echo "<p class='pendentes'>";
	       if($listaPendentes) echo "<label>Versões por aprovar </label>";
	       for($i = 0; $i< $max ; $i++){
				echo "<a style='text-decoration:underline' href='main.php?tipo=".$this->tipo."&id=".$listaPendentes[$i]['id']."&pendente=1&cmd=editar'>". ($i+1) ."</a> ";
	       }
		echo "</p>";
	}
	$f->campoValor("versoes", 1);
	
	$frase_estados = array(0=>"Este documento está por aprovar ", 
						   1=>"Este documento está aprovado e publicado ", 
						   2=>"Este documento não foi aprovado ");

//////////////////   nao aprovados
	
	if($id){
		$sql="select * from ".$this->tipo." where idAntigo='$id' and estado = 2";
	    $listaNaoAprovados = $db->get($sql);
	    $max = sizeof($listaNaoAprovados);
		echo "<p class='pendentes'>";
	       if($listaNaoAprovados) echo "<label>Versões não aprovadas </label>";
	       for($i = 0; $i< $max ; $i++){
				echo "<a style='text-decoration:underline' href='main.php?tipo=".$this->tipo."&id=".$listaNaoAprovados[$i]['id']."&pendente=1&cmd=editar'>". ($i+1) ."</a> ";
	       }
		echo "</p>";
	}
	
?>
</div>
<script>
$("#estado").after("<span style='color:black'> <?=$frase_estados[$linha['estado']]?></span><span id='btn_mais_versoes'><a href='#'>[mais versoes...]</a></span>");

<?php if ($listaPendentes || $listaNaoAprovados) {?>
$("#btn_mais_versoes").click(function(){
	$("#mais_versoes").toggle();
	return false;
});
<?php } else { ?>
$("#btn_mais_versoes").hide();
<?php } ?>

</script>